net.minecraft.client.renderer

## Class RenderGlobal

- java.lang.Object
- - net.minecraft.client.renderer.RenderGlobal

- All Implemented Interfaces:
    IWorldAccess

      public class RenderGlobal
      extends java.lang.Object
      implements IWorldAccess

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List` | `tileEntities`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderGlobal(Minecraft par1Minecraft)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcastSound(int par1, int par2, int par3, int par4, int par5)`
    `void` | `clipRenderersByFrustum(ICamera par1ICamera, float par2)`
    `void` | `deleteAllDisplayLists()`
    `void` | `destroyBlockPartially(int p_147587_1_, int p_147587_2_, int p_147587_3_, int p_147587_4_, int p_147587_5_)`
    `EntityFX` | `doSpawnParticle(java.lang.String par1Str, double par2, double par4, double par6, double par8, double par10, double par12)`
    `void` | `drawBlockDamageTexture(Tessellator par1Tessellator, EntityLivingBase par2EntityPlayer, float par3)`
    `void` | `drawBlockDamageTexture(Tessellator par1Tessellator, EntityPlayer par2EntityPlayer, float par3)`
    `static void` | `drawOutlinedBoundingBox(AxisAlignedBB p_147590_0_, int p_147590_1_)`
    `void` | `drawSelectionBox(EntityPlayer par1EntityPlayer, MovingObjectPosition par2MovingObjectPosition, int par3, float par4)`
    `java.lang.String` | `getDebugInfoEntities()`
    `java.lang.String` | `getDebugInfoRenders()`
    `boolean` | `hasCloudFog(double par1, double par3, double par5, float par7)`
    `void` | `loadRenderers()`
    `void` | `markBlockForRenderUpdate(int p_147588_1_, int p_147588_2_, int p_147588_3_)`
    `void` | `markBlockForUpdate(int p_147586_1_, int p_147586_2_, int p_147586_3_)`
    `void` | `markBlockRangeForRenderUpdate(int p_147585_1_, int p_147585_2_, int p_147585_3_, int p_147585_4_, int p_147585_5_, int p_147585_6_)`
    `void` | `markBlocksForUpdate(int par1, int par2, int par3, int par4, int par5, int par6)`
    `void` | `onEntityCreate(Entity par1Entity)`
    `void` | `onEntityDestroy(Entity par1Entity)`
    `void` | `onStaticEntitiesChanged()`
    `void` | `playAuxSFX(EntityPlayer par1EntityPlayer, int par2, int par3, int par4, int par5, int par6)`
    `void` | `playRecord(java.lang.String par1Str, int par2, int par3, int par4)`
    `void` | `playSound(java.lang.String par1Str, double par2, double par4, double par6, float par8, float par9)`
    `void` | `playSoundToNearExcept(EntityPlayer par1EntityPlayer, java.lang.String par2Str, double par3, double par5, double par7, float par9, float par10)`
    `void` | `rebuildDisplayListEntities()`
    `void` | `registerDestroyBlockIcons(IIconRegister par1IconRegister)`
    `void` | `renderAllRenderLists(int par1, double par2)`
    `void` | `renderClouds(float par1)`
    `void` | `renderCloudsFancy(float par1)`
    `void` | `renderEntities(EntityLivingBase p_147589_1_, ICamera p_147589_2_, float p_147589_3_)`
    `void` | `renderSky(float par1)`
    `void` | `setWorldAndLoadRenderers(WorldClient par1WorldClient)`
    `int` | `sortAndRender(EntityLivingBase par1EntityLivingBase, int par2, double par3)`
    `void` | `spawnParticle(java.lang.String par1Str, double par2, double par4, double par6, double par8, double par10, double par12)`
    `void` | `updateClouds()`
    `boolean` | `updateRenderers(EntityLivingBase par1EntityLivingBase, boolean par2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tileEntities

          public java.util.List tileEntities

  - ### Constructor Detail

    - #### RenderGlobal

          public RenderGlobal(Minecraft par1Minecraft)

  - ### Method Detail

    - #### setWorldAndLoadRenderers

          public void setWorldAndLoadRenderers(WorldClient par1WorldClient)

    - #### loadRenderers

          public void loadRenderers()

    - #### renderEntities

          public void renderEntities(EntityLivingBase p_147589_1_,
                            ICamera p_147589_2_,
                            float p_147589_3_)

    - #### getDebugInfoRenders

          public java.lang.String getDebugInfoRenders()

    - #### getDebugInfoEntities

          public java.lang.String getDebugInfoEntities()

    - #### onStaticEntitiesChanged

          public void onStaticEntitiesChanged()

      Specified by:
        `onStaticEntitiesChanged` in interface `IWorldAccess`

    - #### rebuildDisplayListEntities

          public void rebuildDisplayListEntities()

    - #### sortAndRender

          public int sortAndRender(EntityLivingBase par1EntityLivingBase,
                          int par2,
                          double par3)

    - #### renderAllRenderLists

          public void renderAllRenderLists(int par1,
                                  double par2)

    - #### updateClouds

          public void updateClouds()

    - #### renderSky

          public void renderSky(float par1)

    - #### renderClouds

          public void renderClouds(float par1)

    - #### hasCloudFog

          public boolean hasCloudFog(double par1,
                            double par3,
                            double par5,
                            float par7)

    - #### renderCloudsFancy

          public void renderCloudsFancy(float par1)

    - #### updateRenderers

          public boolean updateRenderers(EntityLivingBase par1EntityLivingBase,
                                boolean par2)

    - #### drawBlockDamageTexture

          public void drawBlockDamageTexture(Tessellator par1Tessellator,
                                    EntityPlayer par2EntityPlayer,
                                    float par3)

    - #### drawBlockDamageTexture

          public void drawBlockDamageTexture(Tessellator par1Tessellator,
                                    EntityLivingBase par2EntityPlayer,
                                    float par3)

    - #### drawSelectionBox

          public void drawSelectionBox(EntityPlayer par1EntityPlayer,
                              MovingObjectPosition par2MovingObjectPosition,
                              int par3,
                              float par4)

    - #### drawOutlinedBoundingBox

          public static void drawOutlinedBoundingBox(AxisAlignedBB p_147590_0_,
                                     int p_147590_1_)

    - #### markBlocksForUpdate

          public void markBlocksForUpdate(int par1,
                                 int par2,
                                 int par3,
                                 int par4,
                                 int par5,
                                 int par6)

    - #### markBlockForUpdate

          public void markBlockForUpdate(int p_147586_1_,
                                int p_147586_2_,
                                int p_147586_3_)

      Specified by:
        `markBlockForUpdate` in interface `IWorldAccess`

    - #### markBlockForRenderUpdate

          public void markBlockForRenderUpdate(int p_147588_1_,
                                      int p_147588_2_,
                                      int p_147588_3_)

      Specified by:
        `markBlockForRenderUpdate` in interface `IWorldAccess`

    - #### markBlockRangeForRenderUpdate

          public void markBlockRangeForRenderUpdate(int p_147585_1_,
                                           int p_147585_2_,
                                           int p_147585_3_,
                                           int p_147585_4_,
                                           int p_147585_5_,
                                           int p_147585_6_)

      Specified by:
        `markBlockRangeForRenderUpdate` in interface `IWorldAccess`

    - #### clipRenderersByFrustum

          public void clipRenderersByFrustum(ICamera par1ICamera,
                                    float par2)

    - #### playRecord

          public void playRecord(java.lang.String par1Str,
                        int par2,
                        int par3,
                        int par4)

      Specified by:
        `playRecord` in interface `IWorldAccess`

    - #### playSound

          public void playSound(java.lang.String par1Str,
                       double par2,
                       double par4,
                       double par6,
                       float par8,
                       float par9)

      Specified by:
        `playSound` in interface `IWorldAccess`

    - #### playSoundToNearExcept

          public void playSoundToNearExcept(EntityPlayer par1EntityPlayer,
                                   java.lang.String par2Str,
                                   double par3,
                                   double par5,
                                   double par7,
                                   float par9,
                                   float par10)

      Specified by:
        `playSoundToNearExcept` in interface `IWorldAccess`

    - #### spawnParticle

          public void spawnParticle(java.lang.String par1Str,
                           double par2,
                           double par4,
                           double par6,
                           double par8,
                           double par10,
                           double par12)

      Specified by:
        `spawnParticle` in interface `IWorldAccess`

    - #### doSpawnParticle

          public EntityFX doSpawnParticle(java.lang.String par1Str,
                                 double par2,
                                 double par4,
                                 double par6,
                                 double par8,
                                 double par10,
                                 double par12)

    - #### onEntityCreate

          public void onEntityCreate(Entity par1Entity)

      Specified by:
        `onEntityCreate` in interface `IWorldAccess`

    - #### onEntityDestroy

          public void onEntityDestroy(Entity par1Entity)

      Specified by:
        `onEntityDestroy` in interface `IWorldAccess`

    - #### deleteAllDisplayLists

          public void deleteAllDisplayLists()

    - #### broadcastSound

          public void broadcastSound(int par1,
                            int par2,
                            int par3,
                            int par4,
                            int par5)

      Specified by:
        `broadcastSound` in interface `IWorldAccess`

    - #### playAuxSFX

          public void playAuxSFX(EntityPlayer par1EntityPlayer,
                        int par2,
                        int par3,
                        int par4,
                        int par5,
                        int par6)

      Specified by:
        `playAuxSFX` in interface `IWorldAccess`

    - #### destroyBlockPartially

          public void destroyBlockPartially(int p_147587_1_,
                                   int p_147587_2_,
                                   int p_147587_3_,
                                   int p_147587_4_,
                                   int p_147587_5_)

      Specified by:
        `destroyBlockPartially` in interface `IWorldAccess`

    - #### registerDestroyBlockIcons

          public void registerDestroyBlockIcons(IIconRegister par1IconRegister)